org.modeshape.sequencer.ddl.dialect.postgres

## Interface PostgresDdlConstants.PostgresDataTypes

- Enclosing interface:
    PostgresDdlConstants

      public static interface PostgresDdlConstants.PostgresDataTypes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String[]>` | `CUSTOM_DATATYPE_START_PHRASES`
    `static List<String>` | `CUSTOM_DATATYPE_START_WORDS`
    `static String[]` | `DTYPE_BIGSERIAL`
    `static String[]` | `DTYPE_BOOL`
    `static String[]` | `DTYPE_BOOLEAN`
    `static String[]` | `DTYPE_BOX`
    `static String[]` | `DTYPE_BYTEA`
    `static String[]` | `DTYPE_CIDR`
    `static String[]` | `DTYPE_CIRCLE`
    `static String[]` | `DTYPE_FLOAT4`
    `static String[]` | `DTYPE_FLOAT8`
    `static String[]` | `DTYPE_INET`
    `static String[]` | `DTYPE_INT2`
    `static String[]` | `DTYPE_INT4`
    `static String[]` | `DTYPE_INT8`
    `static String[]` | `DTYPE_LINE`
    `static String[]` | `DTYPE_LSEG`
    `static String[]` | `DTYPE_MACADDR`
    `static String[]` | `DTYPE_MONEY`
    `static String[]` | `DTYPE_PATH`
    `static String[]` | `DTYPE_POINT`
    `static String[]` | `DTYPE_POLYGON`
    `static String[]` | `DTYPE_SERIAL`
    `static String[]` | `DTYPE_SERIAL4`
    `static String[]` | `DTYPE_SERIAL8`
    `static String[]` | `DTYPE_TEXT`
    `static String[]` | `DTYPE_TIMESTAMPZ`
    `static String[]` | `DTYPE_TSQUERY`
    `static String[]` | `DTYPE_TSVECTOR`
    `static String[]` | `DTYPE_TXID_SNAPSHOT`
    `static String[]` | `DTYPE_UUID`
    `static String[]` | `DTYPE_VARBIT`
    `static String[]` | `DTYPE_XML`

- - ### Field Detail

    - #### DTYPE_BIGSERIAL

          static final String[] DTYPE_BIGSERIAL

    - #### DTYPE_BOX

          static final String[] DTYPE_BOX

    - #### DTYPE_BYTEA

          static final String[] DTYPE_BYTEA

    - #### DTYPE_CIDR

          static final String[] DTYPE_CIDR

    - #### DTYPE_CIRCLE

          static final String[] DTYPE_CIRCLE

    - #### DTYPE_INET

          static final String[] DTYPE_INET

    - #### DTYPE_LINE

          static final String[] DTYPE_LINE

    - #### DTYPE_LSEG

          static final String[] DTYPE_LSEG

    - #### DTYPE_MACADDR

          static final String[] DTYPE_MACADDR

    - #### DTYPE_MONEY

          static final String[] DTYPE_MONEY

    - #### DTYPE_PATH

          static final String[] DTYPE_PATH

    - #### DTYPE_POINT

          static final String[] DTYPE_POINT

    - #### DTYPE_POLYGON

          static final String[] DTYPE_POLYGON

    - #### DTYPE_SERIAL

          static final String[] DTYPE_SERIAL

    - #### DTYPE_TEXT

          static final String[] DTYPE_TEXT

    - #### DTYPE_TSQUERY

          static final String[] DTYPE_TSQUERY

    - #### DTYPE_TSVECTOR

          static final String[] DTYPE_TSVECTOR

    - #### DTYPE_TXID_SNAPSHOT

          static final String[] DTYPE_TXID_SNAPSHOT

    - #### DTYPE_UUID

          static final String[] DTYPE_UUID

    - #### DTYPE_XML

          static final String[] DTYPE_XML

    - #### DTYPE_BOOLEAN

          static final String[] DTYPE_BOOLEAN

    - #### DTYPE_BOOL

          static final String[] DTYPE_BOOL

    - #### DTYPE_FLOAT4

          static final String[] DTYPE_FLOAT4

    - #### DTYPE_FLOAT8

          static final String[] DTYPE_FLOAT8

    - #### DTYPE_INT2

          static final String[] DTYPE_INT2

    - #### DTYPE_INT4

          static final String[] DTYPE_INT4

    - #### DTYPE_INT8

          static final String[] DTYPE_INT8

    - #### DTYPE_SERIAL4

          static final String[] DTYPE_SERIAL4

    - #### DTYPE_SERIAL8

          static final String[] DTYPE_SERIAL8

    - #### DTYPE_TIMESTAMPZ

          static final String[] DTYPE_TIMESTAMPZ

    - #### DTYPE_VARBIT

          static final String[] DTYPE_VARBIT

    - #### CUSTOM_DATATYPE_START_PHRASES

          static final List<String[]> CUSTOM_DATATYPE_START_PHRASES

    - #### CUSTOM_DATATYPE_START_WORDS

          static final List<String> CUSTOM_DATATYPE_START_WORDS

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.